##
##  snmp.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         snmp
Summary:      Simple Network Management Protocol (SNMP) Toolkit
URL:          http://www.net-snmp.org/
Vendor:       University of California Davis
Packager:     The OpenPKG Project
Distribution: OpenPKG [PLUS]
Group:        Network
License:      BSD
Version:      5.0.6
Release:      20021022

#   list of sources
Source0:      http://osdn.dl.sourceforge.net/net-snmp/net-snmp-%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, openssl, zlib, db >= 4.1.24
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    This is a toolkit relating to the Simple Network Management Protocol
    (SNMP), including: an extensible agent; an SNMP library; tools to
    request or set information from SNMP agents; tools to generate and
    handle SNMP traps; a version of the unix 'netstat' command using
    SNMP; etc.

%prep
    %setup -q -n net-snmp-%{version}

%build
    ./configure \
        --with-cc="%{l_cc}" \
        --with-cflags="%{l_cflags -O}" \
        --prefix=%{l_prefix} \
        --with-persistent-directory=%{l_prefix}/var/snmp \
        --with-openssl=%{l_prefix} \
        --with-zlib=%{l_prefix} \
        --with-db=%{l_prefix} \
        --enable-silent-libtool \
        --disable-shared \
        --with-defaults
    %{l_make} %{l_mflags} touchit
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} subst -v \
        -e "s;^\\(prefix.*=\\).*;\\1 $RPM_BUILD_ROOT%{l_prefix};g" \
        -e "s;^\\(exec_prefix.*=\\).*;\\1 $RPM_BUILD_ROOT%{l_prefix};g" \
        -e "s;^\\(persistentdir.*=\\).*;\\1 $RPM_BUILD_ROOT%{l_prefix}/var/snmp;g" \
        `find . -type f -name Makefile -print`
    %{l_make} %{l_mflags} install
    rm -f $RPM_BUILD_ROOT%{l_prefix}/bin/snmpinform
    ln $RPM_BUILD_ROOT%{l_prefix}/bin/snmptrap \
       $RPM_BUILD_ROOT%{l_prefix}/bin/snmpinform
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    strip $RPM_BUILD_ROOT%{l_prefix}/sbin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

